Bug 19450 - LPRng will not printing - but all seems to be ok ...
LPRng will not printing - but all seems to be ok ...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
7.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-20 04:55 EDT by T. Mueller
Modified: 2007-03-26 23:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-12 03:39:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description T. Mueller 2000-10-20 04:55:43 EDT
Hello,

after updating from 6.2 to 7.0 I can't print any more using lpr, sending
data direct to /dev/lp0 works.

'ps auwx' shows 'lpd WAITING', printing jobs seemed to be spooled.
I have set in the BIOS the printer port mode to 'SPP' for testing - was
earlier set to extended mode with compression capabillity, (I forgot the
abbreviation) and printed fine (with 6.2).
But this had no effect on this problem, the data in /proc/parport/0/* had
_not_ changed (after a reboot in the standard of printer port) when
changing the printer port mode.

Additional informations:

content of printcap:

##PRINTTOOL3## LOCAL uniprint NAxNA a4 {} U_EpsonStylusColor stcany {}
lp:\
        :sd=/var/spool/lpd/lp:\
        :mx#0:\
        :sh:\
        :lp=/dev/lp0:\
        :if=/var/spool/lpd/lp/filter:
##PRINTTOOL3## LOCAL uniprint NAxNA a4 {} U_EpsonStylusColor stc800p 1
720dpi:\
        :sd=/var/spool/lpd/lp0:\
        :mx#0:\
        :sh:\
        :lp=/dev/lp0:\
        :if=/var/spool/lpd/lp0/filter:


extract (|grep parp) from messages
(Oct 19 10:47:58 : reboot after changing the printer port mode)

Oct 19 01:21:18 compi3 kernel: parport0: PC-style at 0x378 (0x778)
[SPP,EPP,ECP,ECPEPP,ECPPS2]
Oct 19 01:21:18 compi3 kernel: parport0: detected irq 7; use procfs to
enable interrupt-driven operation.
Oct 19 01:21:18 compi3 kernel: parport0: Printer, EPSON Stylus COLOR 1520
Oct 19 01:21:18 compi3 kernel: lp0: using parport0 (polling).
Oct 19 10:22:54 compi3 kernel: lp0: using parport0 (polling).
Oct 19 10:43:01 compi3 kernel: lp0: using parport0 (polling).
Oct 19 10:47:58 compi3 kernel: parport0: PC-style at 0x378 [SPP,PS2]
Oct 19 10:47:58 compi3 kernel: parport0: Printer, EPSON Stylus COLOR 1520
Oct 19 10:47:58 compi3 kernel: lp0: using parport0 (polling).


contents of
[root@compi3 /proc]# cd parport/
[root@compi3 parport]# cd 0
[root@compi3 0]# ls
autoprobe  devices  hardware  irq
[root@compi3 0]# cat *
*autoprobe*:
CLASS:PRINTER;
MODEL:Stylus COLOR 1520;
MANUFACTURER:EPSON;
COMMAND SET:ESCP2E,PRPXL;

*devices*: no data

*hardware*:
base:   0x378
irq:    none
dma:    none
modes:  SPP,PS2

*irq*:
none

T. Mueller
Comment 1 Crutcher Dunnavant 2001-03-09 18:07:16 EST
Are you still experinecing this problem?
Comment 2 Crutcher Dunnavant 2001-03-29 11:17:58 EST
closing for lack of info.
reopen if problem persists.

Note You need to log in before you can comment on or make changes to this bug.